Name: libmsiecf
Version: 20191221
Release: 1
Summary: Library to access the MSIE Cache File (index.dat) format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libmsiecf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
              
BuildRequires: gcc              

%description -n libmsiecf
Library to access the MSIE Cache File (index.dat) format

%package -n libmsiecf-static
Summary: Library to access the MSIE Cache File (index.dat) format
Group: Development/Libraries
Requires: libmsiecf = %{version}-%{release}

%description -n libmsiecf-static
Static library version of libmsiecf.

%package -n libmsiecf-devel
Summary: Header files and libraries for developing applications for libmsiecf
Group: Development/Libraries
Requires: libmsiecf = %{version}-%{release}

%description -n libmsiecf-devel
Header files and libraries for developing applications for libmsiecf.

%package -n libmsiecf-python2
Obsoletes: libmsiecf-python < %{version}
Provides: libmsiecf-python = %{version}
Summary: Python 2 bindings for libmsiecf
Group: System Environment/Libraries
Requires: libmsiecf = %{version}-%{release} python2
BuildRequires: python2-devel

%description -n libmsiecf-python2
Python 2 bindings for libmsiecf

%package -n libmsiecf-python3
Summary: Python 3 bindings for libmsiecf
Group: System Environment/Libraries
Requires: libmsiecf = %{version}-%{release} python3
BuildRequires: python3-devel

%description -n libmsiecf-python3
Python 3 bindings for libmsiecf

%package -n libmsiecf-tools
Summary: Several tools for reading MSIE Cache File (index.dat)
Group: Applications/System
Requires: libmsiecf = %{version}-%{release}

%description -n libmsiecf-tools
Several tools for reading MSIE Cache File (index.dat)

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libmsiecf
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libmsiecf-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libmsiecf-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmsiecf.pc
%{_includedir}/*
%{_mandir}/man3/*

%files -n libmsiecf-python2
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%files -n libmsiecf-python3
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so

%files -n libmsiecf-tools
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Dec 21 2019 Joachim Metz <joachim.metz@gmail.com> 20191221-1
- Auto-generated

